Python dependency



  • I just upgraded my Suse Leap 42.3 system to Kopano 8.5.4.
    The tricky part is that the search depends on python-kopano in version 8.5.4. But the repository only provides python3-kopano.
    The solution is probably simple but I just don’t get it.


  • Kopano

    HI @cburghardt ,

    since we are not providing repositories for Leap ourselves I would suggest to contact the package maintainer to look into this.



  • Thanks for the hint. I got around this problem and installed everything based on python3. But now I get the following
    when I try to start the search server:
    File “/usr/lib/python3.4/site-packages/kopano/folder.py”, line 76, in <module>
    from . import item as _item
    File “/usr/lib/python3.4/site-packages/kopano/item.py”, line 102, in <module>
    from .appointment import Appointment
    File “/usr/lib/python3.4/site-packages/kopano/appointment.py”, line 30, in <module>
    from . import utils as _utils
    ImportError: cannot import name ‘utils’



  • Full trace:
    Traceback (most recent call last):
    File “/usr/lib/python3.4/site-packages/kopano/folder.py”, line 76, in <module>
    from . import item as _item
    File “/usr/lib/python3.4/site-packages/kopano/item.py”, line 102, in <module>
    from .appointment import Appointment
    File “/usr/lib/python3.4/site-packages/kopano/appointment.py”, line 30, in <module>
    from . import utils as _utils
    ImportError: cannot import name ‘utils’

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “/usr/sbin/kopano-search”, line 3, in <module>
    import kopano_search
    File “/usr/lib/python3.4/site-packages/kopano_search/init.py”, line 22, in <module>
    import kopano
    File “/usr/lib/python3.4/site-packages/kopano/init.py”, line 54, in <module>
    from .config import Config, CONFIG
    File “/usr/lib/python3.4/site-packages/kopano/config.py”, line 15, in <module>
    from . import utils as _utils
    File “/usr/lib/python3.4/site-packages/kopano/utils.py”, line 35, in <module>
    from . import user as _user
    File “/usr/lib/python3.4/site-packages/kopano/user.py”, line 26, in <module>
    from .store import Store
    File “/usr/lib/python3.4/site-packages/kopano/store.py”, line 62, in <module>
    from . import notification as _notification
    File “/usr/lib/python3.4/site-packages/kopano/notification.py”, line 30, in <module>
    from . import folder as _folder
    File “/usr/lib/python3.4/site-packages/kopano/folder.py”, line 78, in <module>
    _item = sys.modules[package+’.item’]
    KeyError: ‘kopano.item’


Log in to reply